Subject: Re: (Re)boot hangs and refcount errors on next-20250829

From: Borislav Petkov <[email-masked]>
Date: Sun, 31 Aug 2025 17:39:41 +0200

On Sun, Aug 31, 2025 at 04:14:24PM +0200, Bert Karwatzki wrote:
> I think I hit the the same error (and some more ...) when booting next-20250829
> on my amd64 laptop (no VMs and no kexec were used here):
> 
> When I try booting next-20250829 on my debian stable(trixie) amd64 system the boot
> process hangs every few attempts (without any log messages recorded). When the
> boot process succeeds the following error message appears in dmesg:
> 
> [    8.337248] [     T44] ------------[ cut here ]------------
> [    8.337250] [     T44] WARNING: kernel/futex/core.c:1604 at futex_ref_rcu+0xe8/0x100, CPU#6: rcuc/6/44

I believe that got fixed, pls try:

https://git.kernel.org/pub/scm/linux/kernel/git/tip/tip.git/log/?h=locking/urgent

which got updated to contain the fix for the warning above.

-- 
Regards/Gruss,
    Boris.

https://people.kernel.org/tglx/notes-about-netiquette